                 5. DIRECT METHODS STRATEGY                                     
                 --------------------------                                     
                                                                                
                                                                                
                 AN EFFICIENT AND  AUTOMATIC  'BLACK  BOX'  PROGRAM  IS         
         PROVIDED FOR CENTROSYMMETRIC STRUCTURES.   DETAILS  ARE  GIVEN         
         UNDER 'EEES', AND AN EXAMPLE CAN BE FOUND IN CHAPTER  3.    IF         
         YOU THINK THAT THE USE OF THIS PROGRAM IS UNFAIR,  OR  IF  YOU         
         WOULD  LIKE  TO  MAKE  SOME  CONTRIBUTION  TO   SOLVING    THE         
         STRUCTURE, OR IF THE  STRUCTURE  IS  NON-CENTROSYMMETRIC,  YOU         
         SHOULD USE THE MUCH SLOWER  GENERAL  PROGRAM  INSTEAD.    THIS         
         REQUIRES ORIGIN, ENANTIOMORPH AND MULTISOLUTION PHASES  TO  BE         
         SELECTED BY HAND  USING  THE  CONVERGENCE  MAP  ETC.    ORIGIN         
         SPECIFICATION  IS  DISCUSSED  BY  J.  KARLE  IN  VOLUME  4  OF         
         INTERNATIONAL TABLES FOR XRAY CRYSTALLOGRAPHY.      TO  DEFINE         
         THE ENANTIOMORPH IT  IS  NECESSARY  TO  FIX  THE  VALUE  OF  A         
         'STRUCTURE INVARIANT' SUM OF PHASE ANGLES TO BE IN  THE  RANGE         
         0-180 RATHER THAN 180-360.  IN THE EXAMPLES BELOW, M =  MIRROR         
         OR GLIDE PLANE, 2 = 2 OR 2(1) AXIS, 3 = 3, 3(1) OR 3(2),  4  =         
         4 ... 4(3) AND 6 = 6 ... 6(5).  ONLY THE SIMPLEST RECIPES  ARE         
         GIVEN  BELOW:  FOR  MORE  GENERAL  METHODS  SEE   THE    ABOVE         
         REFERENCE.   ADDITIONAL  MULTISOLUTION  REFLEXIONS  SHOULD  BE         
         CHOSEN TO GENERATE 16 TO 512 PERMUTATIONS,  DEPENDING  ON  THE         
         DIFFICULTY OF THE STRUCTURE.    NOTE  THAT  IN  ALL  PRIMITIVE         
         SPACE GROUPS WITH 3(1), 3(2), 4(1), 4(3), 6(1), 6(2), 6(4)  OR         
         6(5) AXES, THE ENANTIOMORPH IS DEFINED BY THE SPACE GROUP  AND         
         SO MAY NOT BE SPECIFIED AGAIN.   IN  ALL  THE  OTHER  EXAMPLES         
         BELOW, UNLESS OTHERWISE SPECIFIED,  THE  ENANTIOMORPH  MAY  BE         
         DEFINED BY GIVING A REFLEXION  WHICH  IS  NOT  RESTRICTED  THE         
         POSSIBLE PHASE ANGLES 45 AND 135 (I.E. MAKING THE PHASE  ANGLE         
         POSITIVE RATHER THAN NEGATIVE).  THE STARTING  SET  SHOULD  BE         
         CHOSEN FROM THE REFLEXIONS NEAR THE  TOP  OF  THE  CONVERGENCE         
         MAP WITH HIGH ESTIMATED ALPHA AND OMEGA VALUES (SEE TANG).             
                                                                                
                                                                                
                                                                                
   P2                                                                           
   --                                                                           
                                                                                
                 THE ORIGIN MAY  CONVENIENTLY  BE  FIXED  BY  ASSIGNING         
         PHASE ANGLES OF ZERO  TO  ONE  H1L  AND  TWO  H0L  REFLEXIONS.         
         NEITHER OF THE TWO H0L REFLEXIONS NOR THEIR SUM MAY BELONG  TO         
         THE PARITY GROUP GGG.  E.G.                                            
                                                                                
         PHIX -1 0 2 0      ORIGIN                                              
         PHIX -3 0 5 0      ORIGIN                                              
         PHIX 4 1 1 0       ORIGIN                                              
         PHIX 3 3 2 45 135  ENANTIOMORPH                                        
         PHIX 8 5 7 45 135 225 315  MULTISOLUTION                               
         PHIX 4 0 4 0 18 0  MULTISOLUTION                                       
                                                                                
   C2                                                                           
   --                                                                           
                                                                                
                 AS P2, BUT ONLY ONE H0L REFLEXION  IS  USED  (IT  MUST         
         HAVE L ODD).                                                           
                                                                                
                                                                                
                                                                                
   CM                                                                           
   --                                                                           
                                                                                
                 TWO REFLEXIONS, SUCH THAT (H1*L2-H2*L1) IS -1  OR  +1,         
         ARE GIVEN PHASE ANGLES OF ZERO.                                        
                                                                                
                                                                                
                                                                                
   P222                                                                         
   ----                                                                         
                                                                                
                 ORIGIN: THREE PHASES, EACH WITH ONE ZERO  INDEX,  SUCH         
         THAT NO COMBINATION OF 1,  2  OR  ALL  3  OF  THEM  GIVES  THE         
         PARITY GROUP GGG, ARE EACH GIVEN  ONE  OF  THEIR  TWO  ALLOWED         
         VALUES (SEE CONVERGENCE LIST).  ENANTIOMORPH: EITHER ASSIGN  A         
         REFLEXION WITH NO ZERO INDICES VALUES  45  AND  135  ONLY,  OR         
         CHOOSE A RESTRICTED REFLEXION WHICH FORMS  A  GGG  COMBINATION         
         WITH  1,  2  OR  ALL  3  ORIGIN  REFLEXIONS  SUCH  THAT    THE         
         CORRESPONDING SUM OF RESTRICTED PHASE ANGLES  MUST  BE  90  OR         
         270 (PLUS 360N, WHERE N IS INTEGRAL), THEN SET IT  TO  ONE  OF         
         ITS TWO ALLOWED PHASE ANGLES.                                          
                                                                                
                                                                                
                                                                                
   PMM2                                                                         
   ----                                                                         
                                                                                
                 TWO REFLEXIONS,  EACH  WITH  L=0,  SUCH  THAT  NO  GGG         
         COMBINATION CAN BE FORMED, AND ONE  REFLEXION  WITH  L=1,  ARE         
         ASSIGNED ZERO PHASE ANGLES.                                            
                                                                                
                                                                                
                                                                                
   P4 AND P4MM                                                                  
   -----------                                                                  
                                                                                
                 ONE REFLEXION WITH L=1 IS GIVEN A ZERO PHASE, AND  ONE         
         WITH (H+K) ODD AND L=0 IS GIVEN ONE OF ITS TWO ALLOWED VALUES.         
                                                                                
   P321, P622 AND P62M                                                          
   -------------------                                                          
                                                                                
                 ONE RESTRICTED PHASE WITH L ODD (IF THERE ARE ANY)  IS         
         GIVEN ONE OF ITS TWO ALLOWED VALUES.  ALTERNATIVELY A  GENERAL         
         PHASE WITH L ODD IS GIVEN THE POSSIBLE VALUES 45 AND 135.   IN         
         THE SECOND CASE, THE ENANTIOMORPH - IF ANY -  MAY  BE  DEFINED         
         BY THE SAME REFLEXION BY FIXING IT AT 45 ONLY.                         
                                                                                
                                                                                
                                                                                
   R3 AND R3M                                                                   
   ----------                                                                   
                                                                                
                 RHOMBOHEDRAL  AXES:  A  REFLEXION  WITH  (H+K+L)=1  IS         
         GIVEN A ZERO PHASE ANGLE.  HEXAGONAL AXES:  A  REFLEXION  WITH         
         L=1 IS FIXED AT ZERO.                                                  
                                                                                
                                                                                
                                                                                
   FDD2                                                                         
   ----                                                                         
                                                                                
                 ORIGIN:  A  REFLEXION  WITH  L=1  IS  FIXED  AT  ZERO.         
         ENANTIOMORPH: A REFLEXION HK0 WITH H+K=4N+2  (N  INTEGRAL)  IS         
         GIVEN A ZERO PHASE ANGLE.                                              
                                                                                
                                                                                
                                                                                
   TANGENT REFINEMENT OF PARTIAL STRUCTURES                                     
   ----------------------------------------                                     
                                                                                
                 BY USE OF ATOM CARDS AND THE TANG  CARD,  A  SPECIFIED         
         NUMBER (E.G. 30) OF THE MOST  PROBABLE  REFLEXIONS  PHASED  BY         
         MEANS OF A PARTIAL STRUCTURE MAY BE INCLUDED AS  FIXED  PHASES         
         IN THE STARTING SET.  THE CALCULATED PHASE ANGLES ARE  PRINTED         
         IN THE CONVERGENCE MAP.    PARTIAL  STRUCTURE  INFORMATION  IS         
         ALSO USED IN CHOOSING PHASE RELATIONS IN THE CONVERGENCE  MAP,         
         USING A FORMULA DEVISED BY PETER MAIN.    IF  THE  CONVERGENCE         
         MAP IS GOOD, THE STRUCTURE CAN BE REFINED STARTING FROM  THESE         
         PHASES ALONE, BUT OFTEN SOME GROUPS  OF  PHASES  WILL  NOT  BE         
         WELL  DETERMINED  AND  IT  WILL  BE  DESIRABLE  TO  ADD   PHIX         
         MULTISOLUTION PHASES AND HENCE GENERATE SEVERAL E-MAPS.   THIS         
         IS A PARTICULARLY FLEXIBLE  TECHNIQUE  FOR  SOLVING  DIFFICULT         
         STRUCTURES; IF A MOLECULAR  FRAGMENT  CONTAINING  ABOUT  6  OR         
         MORE ATOMS CAN BE CORRECTLY LOCATED, IT SHOULD BE POSSIBLE  TO         
         DEVELOP THE REST OF THE  STRUCTURE.    TANGENT  REFINEMENT  OF         
         PARTIAL STRUCTURES IS DISCUSSED BY J. KARLE  IN  ACTA  CRYST.,         
         B24 (1968) 182.                                                        
                                                                                
   DIFFICULT STRUCTURES                                                         
   --------------------                                                         
                                                                                
                 IF THE  AUTOMATIC  CENTROSYMMETRIC  PROGRAM  FAILS  TO         
         PRODUCE ANY CORRECT SOLUTIONS, CHECK:  1. IS THE  SPACE  GROUP         
         CORRECT, AND GIVEN CORRECTLY ON THE LATT AND SYMM CARDS.    2.         
         HAVE THE DATA BEEN 'MERGED' TO GENERATE E-VALUES.  3. DO  FMAP         
         AND GRID GIVE THE FULL ASYMMETRIC UNIT.    4.  ARE  THERE  ANY         
         'BREAKS' IN THE SIGN EXPANSION PATHWAY.   IF  SO,  INSERT  THE         
         CORRESPONDING REFLEXIONS ON PHIX CARDS (UNLESS  THE  BREAK  IS         
         RIGHT  AT  THE  END),  AND  PERHAPS  INCREASE  THE  NUMBER  OF         
         PERMUTATIONS.   5.  PARITY  GROUP  TROUBLE  MAY  SOMETIMES  BE         
         OVERCOME BY RENORMALISING E-VALUES AND/OR  ADDING  EXTRA  PHIX         
         CARDS FOR REFLEXIONS IN THE WEAK PARITY GROUPS.   6.  TOO  FEW         
         SOLUTIONS (E.G. NONE) MAY BE CAUSED BY POOR  QUALITY  DATA  OR         
         DIFFICULTIES IN THE PROCESSING OF UNOBSERVED REFLEXIONS  (E.G.         
         YOU HAVE LOST THEM).  REDUCE M(MIN) TO (SAY) 0.7 AND  INCREASE         
         QT TO 1.0.  OR COLLECT MORE DATA.  7. RUN  A  CONVERGENCE  MAP         
         USING 'TANG 1.2 -1.0' (OMIT EEES), AND SELECT ALL OR  PART  OF         
         YOUR OWN STARTING SET (STRONGLY RECOMMENDED).                          
                                                                                
                 IF THE TANG REFINEMENT FAILS, FIRST  CHECK  THE  ABOVE         
         POINTS (FOR 'BREAK' READ 'OMEGA=104').    OFTEN  IT  IS  WORTH         
         TRYING A NEW STARTING SET.  PHIX REFLEXIONS GO TO THE  TOP  OF         
         THE CONVERGENCE MAP (FOLLOWED  BY  ATOM  PHASES  IF  ANY),  SO         
         POSSIBLE STARTING SETS CAN BE INVESTIGATED  BEFORE  DOING  ANY         
         TANGENT REFINEMENT.                                                    
                                                                                
                 IF ALL ELSE FAILS, YOU COULD POST THE INSTRUCTION  AND         
         CONDENSED DATA CARDS TO ME.(G.SHELDRICK,UNIVERSITY GOETTINGEN)         
                 6. STRUCTURE REFINEMENT                                        
                 -----------------------                                        
                                                                                
                                                                                
                    THE  LEAST-SQUARES  ALGEBRA  FOLLOWS  CLOSELY  THAT         
         DESCRIBED  BY   CRUICKSHANK    (CRYSTALLOGRAPHIC    COMPUTING,         
         MUNKSGAARD, 1970, P 187).  ALL  DERIVATIVES,  INCLUDING  THOSE         
         USED  IN  THE  FIXED  GROUP  REFINEMENTS  AND  ESTIMATION   OF         
         STANDARD  DEVIATIONS  IN  BOND  LENGTHS  AND    ANGLES,    ARE         
         CALCULATED ANALYTICALLY.  THE FULL COVARIANCE MATRIX  IS  USED         
         IN THE ESTIMATION OF STANDARD DEVIATIONS IN BOND  LENGTHS  AND         
         ANGLES, INCLUDING THOSE INVOLVING SYMMETRY OPERATIONS,  EXCEPT         
         WHERE BLOC IS USED.  COMPLEX  SCATTERING  FACTORS  ARE  ALWAYS         
         USED, SO THAT  IN  MOST  NON-CENTROSYMMETRIC  PROBLEMS  IT  IS         
         NECESSARY TO REFINE BOTH ENANTIOMORPHS TO SEE WHICH GIVES  THE         
         LOWER RG.   IF  THE  DATA  ARE  OBTAINED  FROM  TWO  DIFFERENT         
         CRYSTALS (E.G. USING WEISSENBERG PHOTOGRAPHS), ONE  MUST  ALSO         
         BE CAREFUL TO COMBINE THE DATA WITH THE CORRECT RELATIVE  HAND         
         (OR TO REFINE ALL FOUR POSSIBLE PERMUTATIONS).   EXCEPT  WHERE         
         THE SPACE GROUP DEFINES THE ENANTIOMORPH (E.G.  P4(1)2(1)2  OR         
         P4(3)2(1)2), THE ENANTIOMORPHOUS STRUCTURE  MAY  BE  GENERATED         
         BY PUTTING 'UNDO -1' AT THE END OF THE LIST OF ATOMS.                  
                                                                                
                 A CHOICE OF 'FULL-MATRIX',  'ACCELERATED  FULL-MATRIX'         
         AND 'BLOCKED FULL-MATRIX' METHODS IS PROVIDED (SEE  'L.S.'  IN         
         CHAPTER 4).  SMALL STRONGLY CORRELATED PROBLEMS, OR THE  EARLY         
         (E.G. ISOTROPIC) STAGES OF LARGE PROBLEMS REQUIRE  THE  NORMAL         
         FULL-MATRIX METHOD.  THE ACCELERATED FULL-MATRIX TECHNIQUE  IS         
         USEFUL  FOR  THE  FINAL  STAGES   OF    LARGE    ORGANIC    OR         
         ORGANOMETALLIC STRUCTURES ON COMPUTERS  WITH  LARGE  AVAILABLE         
         CORE STORE (E.G. VIRTUAL MEMORY), WHEN THE LIMITING FACTOR  IS         
         PROBABLY C.P.U. TIME.  BLOCKED  FULL-MATRIX  REFINEMENTS  WILL         
         BE NECESSARY FOR LARGE STRUCTURES IF CORE  STORE  IS  LIMITED:         
         FOR VERY LARGE STRUCTURES  THERE  MAY  ALSO  BE  A  SAVING  IN         
         OVERALL C.P.U. TIME  FOR  CONVERGENCE,  ALTHOUGH  MORE  CYCLES         
         WILL BE REQUIRED.                                                      
                                                                                
                                                                                
                                                                                
   INDETERMINATE PARAMETERS                                                     
   ------------------------                                                     
                                                                                
                 INDETERMINATE PARAMETERS AND ILL-CONDITIONED  MATRICES         
         MAY BE AVOIDED BY THE SIMPLE DEVICE OF  ADDING  A  SMALL  UNIT         
         MATRIX OF  ELEMENTS  G  TO  THE  LEAST-SQUARES  MATRIX  BEFORE         
         INVERSION, WHERE G IS THE SUM OF THE LEAST-SQUARES WEIGHTS  OF         
         ALL REFLECTIONS MULTIPLIED BY A  'DAMPING  FACTOR'  (GIVEN  ON         
         THE L.S. CARD).   A  LARGE  DAMPING  FACTOR  MAY  ARTIFICIALLY         
         REDUCE  THE  ESTIMATED  STANDARD  DEVIATIONS,  AND  MAY   ALSO         
         INCREASE THE NUMBER OF CYCLES  REQUIRED  FOR  CONVERGENCE;  ON         
         THE OTHER HAND IT ALLOWS REFINEMENT OF  PROBLEMS  WHICH  WOULD         
         OTHERWISE BE UNSTABLE.                                                 
                                                                                
                 WHETHER OR NOT  THE  DAMPING  FACILITY  IS  USED,  THE         
         PROGRAM WILL TRY TO OVERCOME MATRIX SINGULARITIES  (E.G.  WHEN         
         THERE IS A FLOATING ORIGIN), BUT USUALLY THIS WILL CAUSE  SOME         
         LARGE E.S.D'S AND/OR LARGE CORRELATION MATRIX ELEMENTS.                
                                                                                
                                                                                
                                                                                
   FIXED PARAMETERS                                                             
   ----------------                                                             
                                                                                
                 ATOMIC PARAMETERS AND FREE VARIABLES MAY BE  FIXED  BY         
         ADDING 10.  THE OVERALL AND INTER-LAYER SCALE FACTORS  MAY  BE         
         FIXED BY ADDING 100 (BECAUSE IT IS NECESSARY TO  ALLOW  FOR  A         
         WIDER RANGE OF POSSIBLE VALUES).  SITE OCCUPATION FACTORS  ARE         
         NORMALLY GIVEN AS 11  (I.E.  FIXED  AT  1),  AND  IT  IS  ALSO         
         NECESSARY TO FIX ONE OR MORE PARAMETERS TO DEFINE  A  FLOATING         
         ORIGIN IN CERTAIN SPACE GROUPS.    E.G.  IN  THE  SPACE  GROUP         
         P2(1), THE Y/B COORDINATE OF  ONE  OF  THE  HEAVIER  ATOMS  IS         
         FIXED BY ADDING 10.  THE PROBLEM MAY BE AVOIDED BY  USING  THE         
         BLOC METHOD, IN WHICH CASE NO Y/B NEEDS TO  BE  FIXED.    SOME         
         SPECIAL POSITIONS REQUIRE  FIXED  PARAMETERS,  E.G.  THE  ATOM         
         CARD:                                                                  
                                                                                
         N    2 10 9.5 .42 10.5 .07                                             
                                                                                
         IS INTERPRETED AS FOLLOWS:  NAME  =  N  (PLUS  THREE  SPACES).         
         SFAC  CARD  2  IS  APPROPRIATE.    SPECIAL  POSITION  OF  TYPE         
         0,-0.5,Z WITH SITE OCCUPATION FACTOR FIXED AT 0.5.  Z  REFINES         
         FROM 0.42 AND U REFINES FROM 0.07.                                     
                                                                                
                                                                                
                                                                                
   FREE VARIABLES                                                               
   --------------                                                               
                                                                                
                   THESE  ARE  SET  UP  USING  THE  'FVAR'  CARD(S)  IN         
         CONJUNCTION WITH 'ATOM  CARDS'  AS  DESCRIBED  IN  CHAPTER  4.         
         FREE VARIABLES MAY BE FIXED, BUT  MAY  NOT  BE  TIED  TO  EACH         
         OTHER.    THE  FREE  VARIABLES  ARE  USED  TO  DEFINE  SPECIAL         
         POSITION CONSTRAINTS  AND  FOR  REFINING  CRYSTAL  'SIZE'  AND         
         EXTINCTION.    THEY  ARE  ALSO  USEFUL  FOR  TYING    TOGETHER         
         COORDINATES  ON  DIFFERENT  ATOMS   (E.G.    FOR    DISORDERED         
         STRUCTURES), AND FOR SETTING  UP  COMMON  TEMPERATURE  FACTORS         
         FOR GROUPS OF (ESPECIALLY) HYDROGEN  ATOMS  (SEE  EXAMPLES  IN         
         CHAPTER 3).   THERE  ARE  NO  RESTRICTIONS  ON  THE  WAY  FREE         
         VARIABLES, AFIX, DFIX AND BLOC MAY  BE  COMBINED,  EXCEPT  (A)         
         BLOC MAY NOT BISECT A RIGID GROUP, (B) THE  COORDINATES  (I.E.         
         X/A, Y/B AND Z/C) OF THE PIVOT (FIRST) ATOM IN A  RIGID  GROUP         
         MAY BE FIXED OR REFER TO FREE VARIABLES, BUT  THE  COORDINATES         
         OF THE OTHER ATOMS MUST NOT, AND (C) DFIX  MAY  REFER  TO  THE         
         FIRST BUT NOT THE SUBSEQUENT ATOMS IN  A  RIGID  GROUP.    THE         
         SITE OCCUPATION FACTORS AND TEMPERATURE FACTORS  OF  ATOMS  IN         
         RIGID GROUPS BEHAVE ENTIRELY NORMALLY,  E.G.  THE  TEMPERATURE         
         FACTORS CAN BE TIED TOGETHER USING FREE VARIABLES  OR  ALLOWED         
         TO REFINE FREELY.  HYDROGEN ATOMS CONSTRAINED USING  THE  AFIX         
         RIDING MODEL OBEY THE SAME RULES AS NON-PIVOT ATOMS  IN  RIGID         
         GROUPS.  ALL RELEVANT ATOMS WHICH ARE NOT  FIXED  IN  A  GIVEN         
         CYCLE BY BLOC OR AFIX CONTRIBUTE TO  THE  REFINEMENT  OF  FREE         
         VARIABLES; IF THERE  ARE  NO  SUCH  ATOMS  THE  FREE  VARIABLE         
         REMAINS FIXED.                                                         
                                                                                
                 IN A HEAVY METAL CARBONYL, WE MAY WISH TO HAVE  COMMON         
         ISOTROPIC  TEMPERATURE  FACTORS  FOR  THE  CARBON  AND  OXYGEN         
         ATOMS, SUCH THAT THE OXYGEN TEMPERATURE FACTOR  IS  1.3  TIMES         
         THE VALUE FOR CARBON.  THEN WE SET FREE  VARIABLE  2  (ON  THE         
         FVAR CARD) TO THE NUMERICAL VALUE OF  THE  CARBON  TEMPERATURE         
         FACTOR (SAY 0.06), AND ON THE ATOM CARDS WE GIVE  THE  NUMBERS         
         21 (CARBON) AND 21.3 (I.E. 1.3*FV(2))  (OXYGEN)  IN  PLACE  OF         
         THE ISOTROPIC TEMPERATURE  FACTORS.    TO  RELEASE  ALL  THESE         
         TEMPERATURE FACTORS, PUT 'UNDO 3' AFTER THE LAST ATOM CARD.            
                                                                                
                 IN ORDER TO REFINE DISORDERED STRUCTURES,  IT  MAY  BE         
         NECESSARY TO TIE EQUIVALENT BOND  LENGTHS  TO  THE  SAME  FREE         
         VARIABLE (USING DFIX), AND TO APPLY CONSTRAINTS  TO  THE  SITE         
         OCCUPATION FACTORS OF COMPLEMENTARY GROUPS  OF  ATOMS;  COMMON         
         TEMPERATURE FACTORS MAY ALSO BE NECESSARY.   IF  WE  SET  (FOR         
         EXAMPLE) FV(8)=0.7, AND THE SITE  OCCUPATION  FACTORS  OF  TWO         
         ATOMS (OR GROUPS OF ATOMS) AT 81 AND  -81  RESPECTIVELY,  THEN         
         ONE  PARAMETER  WILL  BE  REFINED,  SO  THAT  THE  REAL   SITE         
         OCCUPATION FACTORS START AT 0.7 AND  0.3,  AND  THEIR  SUM  IS         
         FIXED AT 1.0 (I.E. THE S.O.F.'S  ARE  TIED  TO  1.0*FV(2)  AND         
         -1.0*(FV(2)-1.0) RESPECTIVELY).  SIMILARLY, APPARENT  S.O.F.'S         
         OF 80.5 AND -80.5 WOULD ENSURE THAT THE SUM OF  THE  TWO  REAL         
         S.O.F.'S WAS FIXED AT 0.5.                                             
                                                                                
                                                                                
                                                                                
   SPECIAL POSITIONS                                                            
   -----------------                                                            
                                                                                
                     IT  WILL  OFTEN  BE  NECESSARY  TO  CONSTRAIN  THE         
         POSITIONAL  PARAMETERS  AND  ANISOTROPIC  TEMPERATURE   FACTOR         
         COMPONENTS FOR ATOMS IN SPECIAL  POSITIONS  (SEE  E.G.  D.W.J.         
         CRUICKSHANK, CRYSTALLOGRAPHIC COMPUTING, MUNKSGAARD,  1970,  P         
         187, INTERNATIONAL TABLES FOR XRAY CRYSTALLOGRAPHY, VOLUME  4,         
         AND W.J.A.M. PETERSE AND J.H. PALM,  ACTA  CRYST.,  20  (1966)         
         147).    SOME  EXAMPLES  OF  THE  USE  OF  FREE  VARIABLES  TO         
         CONSTRAIN THE COORDINATES AND ANISOTROPIC TEMPERATURE  FACTORS         
         OF ATOMS IN SPECIAL POSITIONS HAVE BEEN GIVEN  IN  CHAPTER  3;         
         OTHER EXAMPLES FOLLOW (CODE  LETTERS  REFER  TO  VOLUME  1  OF         
         INTERNATIONAL TABLES).                                                 
                                                                                
         P-1 (A) ATOM ON CENTRE OF SYMMETRY:                                    
         10 10 10 10.5 U11 U22 U33 U23 U13 U12                                  
         I.E. NO CONSTRAINTS TO UIJ FOR SITE SYMMETRY -1.                       
                                                                                
         P2/M (N) ATOM ON MIRROR PLANE:                                         
         X 10.5 Z 10.5 U11 U22 U33 10 U13 10                                    
                                                                                
         P2/M (I) ATOM ON TWOFOLD AXIS:                                         
         10 Y 10 10.5 U11 U22 U33 10 U13 10                                     
         SITE SYMMETRY 2/M HAS  SIMILAR  UIJ  CONSTRAINTS.    FOR  SITE         
         SYMMETRY 222, MM OR MMM IN ORTHORHOMBIC SPACE  GROUPS,  U23  =         
         U13 = U12 = 0.                                                         
                                                                                
         P4 (A) SITE SYMMETRY 4:                                                
         10 10 Z 10.25 21 21 U33 10 10 10                                       
         I.E. U11 =  U22  AND  U23  =  U13  =  U12  =  0.  SIMILAR  UIJ         
         CONSTRAINTS APPLY TO SITE SYMMETRIES 42, -4,  4MM,  4/MMM  AND         
         -42M.                                                                  
                                                                                
         P422 (K) SITE SYMMETRY 2:                                              
         21 21 10.5 10.5 31 31 U33 39 41 U12                                    
         I.E. U13 = 1*FV(4) AND U23 = -1*FV(4) (BECAUSE  39  IS  INSIDE         
         THE RANGE 35 TO 45, IT IS INTERPRETED AS (10*4)-1).                    
                                                                                
         BUT IN THE SAME SPACE GROUP, NOTE (L) ALSO WITH SITE  SYMMETRY         
         2:                                                                     
         X 10 10 10.5 U11 U22 U33 U23 10 10                                     
                                                                                
         P4(2)2(1)2 (B) SITE SYMMETRY 222:                                      
         10 10 10.5 10.25 21 21 U33 10 10 U12                                   
                                                                                
         P4BM (C) SITE SYMMETRY M, COORDINATES X,X+0.5,Z:                       
         20.5 -19.5 Z 10.5 31 31 U33 41 41 U12                                  
         NOTE THAT FV(2) HAS THE VALUE 2X,  HENCE  Y  =  -0.5*(1-2X)  =         
         X-0.5 WHICH IS EQUIVALENT TO X+0.5.                                    
                                                                                
         R3 RHOMBOHEDRAL AXES (A) SITE SYMMETRY 3, COORDINATES X,X,X:           
         21 21 21 10.333333 31 31 31 41 41 41                                   
         THE SAME ON HEXAGONAL AXES (COORDINATES 0,0,Z):                        
         10 10 Z 10.333333 21 21 U33 10 10 20.5                                 
         I.E. 2U12 = U11 = U22 AND U23 = U13 = 0.                               
                                                                                
         P321 (F) SITE SYMMETRY 2:                                              
         X 10 10.5 10.5 U11 21 U33 32 31 20.5                                   
         I.E. U22 = 2U12 AND U23 = 2U13.                                        
                                                                                
         R32  RHOMBOHEDRAL  AXES  (E)  SITE  SYMMETRY  2,   COORDINATES         
         0.5,X,-X:                                                              
         10.5 21 19 10.5 U11 31 31 10 41 41                                     
                                                                                
                 WITH ONE EXCEPTION, IT  IS  POSSIBLE  TO  SET  UP  THE         
         NECESSARY CONSTRAINTS IN THIS WAY FOR ALL  SPECIAL  POSITIONS,         
         IN ALL 230 SPACE GROUPS, WITH ANY OF  THE  CHOICES  OF  ORIGIN         
         AND ORIENTATION, GIVEN IN VOLUME 1  OF  INTERNATIONAL  TABLES.         
         THE SINGLE EXCEPTION CONCERNS  THE  SPECIAL  POSITION  (J)  IN         
         SPACE GROUP PN3M (NO. 224) WHEN THE ORIGIN IS  CHOSEN  AT  -3M         
         (INSTEAD OF -43M).  THE COORDINATES OF  THE  FIRST  EQUIVALENT         
         POSITION OF THIS SPECIAL POSITION  (0.5,0.25+X,0.75+X)  CANNOT         
         BE REPRESENTED IN THE USUAL WAY, AND IT IS  NECESSARY  TO  USE         
         THE  THIRD  EQUIVALENT  POSITION  (0,0.25+X,0.75-X)   INSTEAD.         
         SINCE THE PUBLISHED UIJ CONSTRAINTS  ARE  APPLICABLE  ONLY  TO         
         THE  FIRST  EQUIVALENT  POSITION,  THE  APPROPRIATE   SYMMETRY         
         TRANSFORMATION MUST BE APPLIED TO THEM.  THE RESULT IS:                
                                                                                
         10 20.25 -20.25 10.5 U11 31 31 U23 41 41                               
                                                                                
                                                                                
                                                                                
   RIGID GROUPS AND GEOMETRICAL CONSTRAINTS                                     
   ----------------------------------------                                     
                                                                                
                 A NUMBER OF EXAMPLES OF RIGID GROUP REFINEMENTS,  BOND         
         LENGTH AND HYDROGEN ATOM CONSTRAINTS WILL BE FOUND IN  CHAPTER         
         3; SEE ALSO AFIX AND DFIX IN CHAPTER 4.  IN THE  RIDING  MODEL         
         (AFIX 3) THE C-H VECTOR IS  HELD  CONSTANT  IN  MAGNITUDE  AND         
         DIRECTION BUT NOT POSITION: HENCE THE C-H  BOND  LENGTH  STAYS         
         EXACTLY CONSTANT,  AND  THE  ANGLES  AT  CARBON  APPROXIMATELY         
         CONSTANT.    SINCE  GEOMETRICAL   HYDROGEN    POSITIONS    ARE         
         AUTOMATICALLY RECALCULATED AT  THE  START  OF  EACH  JOB,  THE         
         ANGLES QUICKLY REACH IDEALISED VALUES.   IN  THIS  MODEL  BOTH         
         THE CARBON AND HYDROGEN ATOMS  CONTRIBUTE  TO  THE  DERIVATIVE         
         CALCULATION, BUT NO MORE  INDEPENDENT  GEOMETRICAL  PARAMETERS         
         ARE REQUIRED THAN IN REFINEMENT OF THE CARBON ATOM ALONE.              
                                                                                
                 BOND LENGTH CONSTRAINTS (DFIX) ARE APPLIED  BY  ADDING         
         EXTRA OBSERVATIONAL EQUATIONS  TO  THE  LEAST-SQUARES  MATRIX,         
         WITH WEIGHTS PROPORTIONAL TO 1./SIGMA**2 (WHERE SIGMA  IS  THE         
         SECOND NUMBER ON THE DFIX  CARD).    THE  RESULTING  PARAMETER         
         VALUES ARE THUS DETERMINED BY BOTH  THE  CONSTRAINTS  AND  THE         
         F(OBS) DATA: TO GIVE MORE WEIGHT TO A DFIX CONSTRAINT,  SIMPLY         
         REDUCE SIGMA (WHICH IS EFFECTIVELY THE  ESTIMATED  UNCERTAINTY         
         IN  THE  BOND  LENGTH).    SINCE  THE  DFIX  CARDS   SET    UP         
         OBSERVATIONAL EQUATIONS, IT IS POSSIBLE  TO  'REFINE'  WITHOUT         
         ANY F(OBS) DATA:                                                       
                                                                                
         L.S. 8 0                                                               
                                                                                
         I.E. THE MAXIMUM SIN(THETA) IS SET TO ZERO.    THIS  TECHNIQUE         
         ENABLES AN IDEALISED GEOMETRY TO BE SET  UP  FOR  A  GROUP  OF         
         ATOMS  BY  SIMPLY  SPECIFYING  ENOUGH  INTERATOMIC  DISTANCES.         
         SUCH A GROUP CAN THEN BE REFINED AS A 'RIGID GROUP'  (AFIX  6)         
         IN A SUBSEQUENT JOB EMPLOYING F(OBS) DATA BUT NO  DFIX  CARDS.         
         FOR EXAMPLE THE BF4- ANION IN  ONE  OF  THE  TEST  JOBS  COULD         
         FIRST BE IDEALISED IN THIS WAY BY:                                     
                                                                                
         B1 ...                                                                 
                                                                                
         .                                                                      
         .                                                                      
         F4 ...                                                                 
         DFIX 1.3700 0.001 1 2 1 3 1 4 1 5                                      
         DFIX 2.2372 0.001 2 3 2 4 2 5 3 4 3 5 4 5                              
         L.S. 8 0                                                               
         .                                                                      
                                                                                
         AND THEN REFINED IN SUBSEQUENT JOBS  AS  A  RIGID  TETRAHEDRON         
         WITH ALL B-F=1.370 AND ALL F..F=1.370*SQRT(8/3), I.E.                  
                                                                                
         .                                                                      
         AFIX 6                                                                 
         B1 ...                                                                 
         .                                                                      
         .                                                                      
         F4 ...                                                                 
         AFIX 0                                                                 
         .                                                                      
         .                                                                      
         L.S. 5                                                                 
         .                                                                      
         .                                                                      
                                                                                
                     SINCE  PHENYL  AND  CYCLOPENTADIENE  GROUPS  OCCUR         
         FREQUENTLY, FACILITIES ARE PROVIDED (USING AFIX)  FOR  REGULAR         
         HEXGONS AND PENTAGONS TO BEFITTED TO GROUPS OF ATOMS AND  THEN         
         REFINED AS RIGID GROUPS IN THE  SAME  JOB,  AND  FOR  HYDROGEN         
         ATOMS TO BE INCORPORATED DIRECTLY  INTO  THESE  RIGID  GROUPS.         
         IN  PRACTICE,  AN   ISOTROPIC    PHENYL    GROUP    REFINEMENT         
         INCORPORATING HYDROGEN ATOMS OFTEN GIVES  SIGNIFICANTLY  LOWER         
         R-INDICES THAN ANISOTROPIC  REFINEMENT  OF  THE  CARBON  ATOMS         
         ALONE WITHOUT ANY GEOMETRICAL CONSTRAINTS,  YET  REQUIRES  FAR         
         FEWER  LEAST-SQUARES  VARIABLES  (AND  HENCE  COMPUTER  TIME).         
         RIGID PHENYL GROUP REFINEMENT CAN BE STRONGLY  RECOMMENDED  IN         
         THE INTERMEDIATE STAGES OF REFINEMENT EVEN IF THE  CONSTRAINTS         
         ARE RELEASED IN THE FINAL  CYCLES:  CONVERGENCE  WILL  USUALLY         
         REQUIRE FEWER  CYCLES  (AND  MUCH  LESS  COMPUTER  TIME),  AND         
         DIFFERENCE ELECTRON DENSITY SYNTHESES ARE OFTEN MUCH CLEARER.          
                                                                                
                                                                                
                                                                                
   R-INDICES                                                                    
   ---------                                                                    
                                                                                
                 FOUR R-INDICES ARE EVALUATED BEFORE EACH CYCLE:                
                                                                                
         R = SIGMA(DEL) / SIGMA(F(OBS))                                         
                                                                                
         RW = SIGMA(DEL*SQRT(WEIGHT)) / SIGMA(F(OBS)*SQRT(WEIGHT))              
                                                                                
         RG = SQRT(SIGMA(WEIGHT*DEL*DEL)/SIGMA(WEIGHT*F(OBS)*F(OBS)))           
                                                                                
         RM = RG (CALCULATED FOR THE SCALE FACTOR WHICH MINIMISES RG)           
                                                                                
         WHERE DEL =  ABS(F(OBS)-F(CALC)).    RG  SHOULD  BE  USED  FOR         
         STATISTICAL TESTS (SEE W.C. HAMILTON, STATISTICS  IN  PHYSICAL         
         SCIENCE, RONALD, NEW YORK, 1964, ACTA CRYST.,  18  (1965)  502         
         AND  INTERNATIONAL  TABLES  VOLUME  4).    RM  IS  USEFUL  FOR         
         CHECKING TRIAL STRUCTURES BEFORE ANY LEAST-SQUARES  REFINEMENT         
         IS PERFORMED, I.E. BEFORE THE OVERALL SCALE FACTOR IS KNOWN.           
                                                                                
                   AFTER  EACH  LEAST-SQUARES  CYCLE,  THE  CORRELATION         
         MATRIX ELEMENTS (IF  ANY)  WITH  ABSOLUTE  MAGNITUDES  GREATER         
         THAN 0.5 ARE PRINTED.                                                  
