                 3. EXAMPLES                                                    
                 -----------                                                    
                                                                                
                                                                                
                  THE  FIRST  EXAMPLE  CONSISTS  OF  A  DATA  REDUCTION         
         FOLLOWED BY A  PATTERSON  MAP.    PHOTOGRAPHIC  DATA  ARE  FOR         
         TRIMETHYLTIN ACETATE, WITH INTENSITIES  ON  CARDS  PUNCHED  BY         
         THE  S.R.C.  MICRODENSITOMETER  SERVICE  (N.B.  THIS   IS    A         
         HYPOTHETICAL EXAMPLE).  LP CORRECTIONS  ARE  APPLIED  FOR  TWO         
         CRYSTALS    MOUNTED    ABOUT    DIFFERENT    AXES,    ASSUMING         
         EQUI-INCLINATION  WEISSENBERG  GEOMETRY.     THE    SORT/MERGE         
         ROUTINE   FINDS  INTER-LAYER  SCALE  FACTORS  FROM  EQUIVALENT         
         REFLEXIONS.  SPACE GROUP IS PNMA.   AN  UNSHARPENED  PATTERSON         
         IS PRINTED.  CONDENSED DATA CARDS ARE TO BE PUNCHED.                   
                                                                                
         TITL TRIMETHYLTIN ACETATE                                              
         CELL 0.71069 10.418 7.991 9.685 90 90 90                               
         SYMM 0.5+X, 0.5-Y, 0.5-Z                                               
         SYMM -X, 0.5+Y, -Z                                                     
         SYMM 0.5-X, -Y, 0.5+Z                                                  
         SFAC SN C O H                                                          
         UNIT 4 20 8 48                                                         
         FMAP 1                                                                 
         LIST 2                                                                 
         AXIS 1 0 0                                                             
         HKLF -2                                                                
                                                                                
         ... H, K, L, I IN FORMAT (5(3I3,I7))                                   
         TERMINATED BY BLANK REFLEXION OR CARD                                  
                                                                                
         AXIS 0 1 0                                                             
         HKLF -2                                                                
                                                                                
         FURTHER INTENSITY DATA                                                 
                                                                                
         MERG -3                                                                
         END                                                                    
                                                                                
                 TITL ... UNIT WOULD REMAIN THE SAME FOR ALL JOBS  WITH         
         THIS STRUCTURE.    UNLESS  THE  DATA  REDUCTION  NEEDS  TO  BE         
         REPEATED, AXIS...MERG WOULD BE OMITTED  IN  FUTURE.    IF  THE         
         DATA REDUCTION JOB CREATES A PERMANENT (RATHER  THAN  SCRATCH)         
         DATA FILE OR TAPE, THIS COULD BE  USED  FOR  SUBSEQUENT  JOBS;         
         OTHERWISE THE CONDENSED DATA CARDS COULD BE  USED  TO  PROVIDE         
         F(OBS) DATA.                                                           
                                                                                
                 THE SECOND EXAMPLE ILLUSTRATES  THE  AUTOMATIC  'BLACK         
         BOX' CENTROSYMMETRIC DIRECT METHODS PROGRAM.  F(OBS) DATA  ARE         
         INPUT AS CONDENSED DATA FROM A PREVIOUS  DATA  REDUCTION  JOB,         
         THE MERG COMMAND BEING REQUIRED TO REGENERATE E-VALUES.    THE         
         SPACE GROUP IS P4(2)/N, WITH CELL CONTENTS C112  O8  H160;  IN         
         THIS  EXAMPLE  THE  2  ORIGIN  AND  12    (DEFAULT    SETTING)         
         MULTISOLUTION REFLEXIONS ARE SELECTED AUTOMATICALLY.  UP TO  4         
         (DEFAULT)  'BEST'  E-MAPS  ARE  TO  BE  CALCULATED  (BUT   NOT         
         PRINTED); THE HIGHEST 19 UNIQUE PEAKS IN EACH ARE THEN  SORTED         
         INTO MOLECULES, WHICH ARE 'PLOTTED' ON THE LINEPRINTER.   NOTE         
         THE UNUSUAL CHOICE  OF  GRID,  TO  MAKE  SURE  THAT  THE  FULL         
         ASYMMETRIC UNIT IS SEARCHED.                                           
                                                                                
         TITL DIAMANTANE-4-OL                                                   
         CELL 1.5418 16.704 16.704 7.922 90 90 90                               
         SYMM .5-X, .5-Y, Z                                                     
         SYMM -Y, .5+X, .5+Z                                                    
         SYMM .5+Y, -X, .5+Z                                                    
         SFAC C O H                                                             
         UNIT 112 8 160                                                         
         EEES 1.2                                                               
         FMAP 7                                                                 
         GRID 23 23                                                             
         PLAN 19 3                                                              
         MERG 1                                                                 
         HKLF -1                                                                
         CONDENSED DATA CARDS                                                   
         END                                                                    
                                                                                
                 NON-CENTROSYMMETRIC STRUCTURES SHOULD BE SOLVED  USING         
         THE GENERAL DIRECT METHODS PROGRAM, AND REQUIRE  FIRST  A  JOB         
         WITH (E.G.) 'TANG 1.2 -1.0' (INSTEAD  OF  EEES  ...  PLAN)  TO         
         OBTAIN THE CONVERGENCE MAP  FOR  HAND  SELECTION  OF  STARTING         
         REFLEXIONS.  A SUBSEQUENT DIRECT  METHODS  JOB  MIGHT  CONTAIN         
         'TANG 1.2 1.0 6' FOLLOWED BY PHIX, FMAP, GRID AND PLAN  CARDS.         
         THE ABOVE EXAMPLE OF DIAMANTANE-4-OL (WHICH IS SUPPLIED  AS  A         
         TEST DECK) MAY  ALSO  BE  USED  TO  TEST  THE  GENERAL  DIRECT         
         METHODS PROGRAM BY REPLACING EEES 1.2 BY:                              
                                                                                
         TANG 1.2 1.0 4                                                         
         PHIX -7 9 3 0                                                          
         PHIX -7 8 4 0                                                          
         PHIX 0 18 0 0 180                                                      
         PHIX 9 9 2 0 180                                                       
         PHIX 1 2 6 0 180                                                       
         PHIX 0 1 6 0 180                                                       
         PHIX -2 18 0 0 180                                                     
         PHIX -5 10 3 0 180                                                     
                                                                                
         I.E. TWO ORIGIN DEFINING AND SIX MULTISOLUTION REFLEXIONS  (64         
         PERMUTATIONS) ARE SUPPLIED BY HAND.    ALTHOUGH  BOTH  METHODS         
         GIVE AN EXCELLENT BEST  E-MAP  (IN  FACT  ALL  THE  SIGNS  ARE         
         CORRECT), THE 'TANG' PROCEDURE  IS  SEVEN  TIMES  SLOWER  THAN         
         'EEES'.                                                                
                                                                                
                                                                                
                       THE  THIRD  EXAMPLE  COMBINES  DATA   REDUCTION,         
         LEAST-SQUARES REFINEMENT AND  A  DIFFERENCE  ELECTRON  DENSITY         
         SYNTHESIS, AND ILLUSTRATES SEVERAL  NOVEL  FACILITIES.    DATA         
         FROM A FOUR-CIRCLE DIFFRACTOMETER ON MAGNETIC  TAPE  (UNIT  1)         
         ARE CORRECTED FOR ABSORPTION, THE CRYSTAL FACES BEING  DEFINED         
         BY MILLER INDICES AND DISTANCE IN MM FROM A  COMMON  REFERENCE         
         POINT INSIDE THE CRYSTAL.  THE SPACE GROUP  IS  PBCN,  WITH  4         
         MOLECULES OF  C13  H8  O  I2  PER  CELL.    SINCE  THE  IODINE         
         SCATTERING FACTOR IS NOT ONE OF THOSE STORED BY  THE  PROGRAM,         
         IT MUST BE GIVEN IN FULL.  SYSTEMATIC ABSENCES  ARE  REJECTED,         
         EQUIVALENT  REFLEXIONS  AVERAGED  AND  E-VALUES    DETERMINED.         
         REFLEXIONS WITH F (AFTER AVERAGING) LESS THAN 5  SIGMA(F)  ARE         
         'SUPPRESSED' (I.E. WITH INTENSITY LESS THAN  2.5  SIGMA(I)  ).         
         THE  CRYSTAL  SIZE  IS  REFINED  TO  CHECK   THE    ABSORPTION         
         CALCULATION, AND THE WEIGHTING  FUNCTION  IS  OPTIMISED  AFTER         
         EACH CYCLE.  THE  STRUCTURE  IS  REFINED  BY  FOUR  CYCLES  OF         
         FULL-MATRIX LEAST-SQUARES, WITH ANISOTROPIC I AND ISOTROPIC  C         
         AND O.  C7 AND O1 LIE  IN  SPECIAL  POSITIONS  ON  A  TWO-FOLD         
         AXIS, AND SO HAVE SITE OCCUPATION FACTORS FIXED AT 0.5.    THE         
         COORDINATES OF C1 TO C6 ARE FOUND BY FITTING AN EXACT  HEXAGON         
         TO C1, C3 AND C5, AND THIS BENZENE RING IS THEN REFINED  AS  A         
         RIGID GROUP.  BOND LENGTHS,  ANGLES  AND  STANDARD  DEVIATIONS         
         ARE CALCULATED.    A  DIFFERENCE  ELECTRON  DENSITY  SYNTHESIS         
         (WEIGHTED TO OPTIMISE HYDROGEN ATOM LOCATION) IS  FOLLOWED  BY         
         PEAK SEARCH AND UNIQUE MOLECULE ASSEMBLY AND PLOT  USING  BOTH         
         ATOMS  AND  PEAKS.    AN  ANALYSIS  OF  VARIANCE  IS  PRINTED,         
         FOLLOWED BY TWO COPIES OF COMPACT  F(OBS)/F(CALC)  LISTS  WITH         
         THE TITLE GIVEN ON THE TITL  CARD.    NOTE  THAT  THE  DEFAULT         
         SETTINGS OF SITE OCCUPATION FACTOR FIXED AT 1  AND  U  =  0.05         
         ARE ASSUMED FOR C1 TO C6.                                              
                                                                                
         TITL 3,3'-DIIODOBENZOPHENONE                                           
         CELL 0.71069 4.05 11.74 24.80 90 90 90                                 
         SYMM .5-X, .5-Y, .5+Z                                                  
         SYMM .5+X, .5-Y, -Z                                                    
         SYMM -X, Y, .5-Z                                                       
         SFAC C H O                                                             
         SFAC I 20.1472 4.347 18.9949 .3814 7.5138 27.766 2.2735 =              
              66.8776 4.0712 -.726 1.812 7246 1.5 (MOKALPHA)                    
         UNIT 52 32 4 8                                                         
         ABSC 0.5                                                               
         FACE 1 0 0 .037                                                        
         FACE -1 0 0 .048                                                       
         FACE -1 2 1 .148                                                       
         FACE -1 -2 -1 .204                                                     
         FACE 1 -2 -1 .204                                                      
         FACE 1 2 -1 .178                                                       
         HKLF 4                                                                 
         MERG -2                                                                
         OMIT 5                                                                 
         L.S. 4                                                                 
         WGHT -.001 2                                                           
         FVAR .879 1.0                                                          
         ANIS 1                                                                 
         I   4 .342 .158 .044 11 .054                                           
         AFIX 76                                                                
         C1  1 .009 .074 .197                                                   
         C2  1 0 0 0                                                            
         C3  1 -.128 -.082 .139                                                 
         C4  1 0 0 0                                                            
         C5  1 .156 .018 .103                                                   
         C6  1 0 0 0                                                            
         AFIX 0                                                                 
         C7  1 10 .136 10.25 10.5 .056                                          
         O1  3 10 .239 10.25 10.5 .071                                          
         BOND .5                                                                
         FMAP 2 1 13 50 0.3                                                     
         GRID -5 -2 -1 5 2 1                                                    
         PLAN 15                                                                
         LIST 1 -2                                                              
         END                                                                    
                                                                                
                 IN THE NEXT EXAMPLE (TAKEN  FROM  J.  CHEM.  SOC.  (A)         
         1971, 1107) A PARTIAL  STRUCTURE  (INVOLVING  VARIOUS  SPECIAL         
         POSITION CONSTRAINTS) IS REFINED BY 3  CYCLES  OF  FULL-MATRIX         
         LEAST-SQUARES,  AND  THE  REMAINING  ATOMS  LOCATED  FROM    A         
         WEIGHTED DIFFERENCE FOURIER.   BOND  LENGTHS  AND  ANGLES  ARE         
         CALCULATED,  AND  AN  ANALYSIS   OF    VARIANCE    AND    FULL         
         F(OBS)/F(CALC) LIST ARE PRINTED.  THE SPACE GROUP IS  P6(4)22.         
         THE  USE  OF  'FREE  VARIABLES'  FOR  SPECIAL  POSITIONS    IS         
         ILLUSTRATED.    THE  SN  CARD  IS  INTERPRETED  AS    FOLLOWS:         
         SCATTERING FACTOR TYPE 1.   X  IS  TIED  TO  1.0*FV(2),  Y  TO         
         2.0*FV(2), WHERE FREE VARIABLE  2  REFINES  FROM  THE  INITIAL         
         VALUE OF 0.24.  BOTH Z AND  THE  SITE  OCCUPATION  FACTOR  ARE         
         FIXED AT 0.5.  SO WE HAVE  A  SPECIAL  POSITION  OF  THE  TYPE         
         X,2X,0.5, WHICH CONTAINS  ONLY  HALF  AS  MANY  ATOMS  AS  THE         
         GENERAL  POSITION.    THE  ANISOTROPIC   TEMPERATURE    FACTOR         
         COMPONENTS ARE CONSTRAINED SO THAT U12 = 0.5*U22 AND U23 =  0.         
         INTER-LAYER SCALE FACTORS ARE  ALSO  REFINED  (THE  DATA  WERE         
         ORIGINALLY MEASURED BY MEANS OF WEISSENBERG PHOTOGRAPHS  ABOUT         
         THE 0 0 1 AXIS, BUT ARE INPUT TO  THIS  JOB  IN  THE  FORM  OF         
         CONDENSED DATA CARDS).  REFINEMENT  OF  AN  ANISOTROPIC  HEAVY         
         ATOM AND ALL INTER-LAYER  SCALE  FACTORS  IN  THIS  WAY  WOULD         
         NORMALLY RESULT IN AN ILL-CONDITIONED MATRIX,  SO  U33(SN)  IS         
         CONSTRAINED TO BE APPROXIMATELY EQUAL TO THE MEAN OF  U11  AND         
         U22 (BY -3 ON THE ILSF CARD).                                          
                                                                                
         TITL TRIMETHYLTIN CARBODIIMIDE                                         
         CELL 1.5418 8.74 8.74 14.28 90 90 120                                  
         LATT -1                                                                
         SYMM -Y,X-Y,0.333333+Z                                                 
         SYMM Y-X,-X,Z+0.666667                                                 
         SYMM -X,-Y,Z                                                           
         SYMM Y,Y-X,Z+0.333333                                                  
         SYMM X-Y,X,0.666667+Z                                                  
         SYMM Y,X,0.333333-Z                                                    
         SYMM -X,Y-X,0.666667-Z                                                 
         SYMM X-Y,-Y,-Z                                                         
         SYMM -Y,-X,0.333333-Z                                                  
         SYMM X,X-Y,0.666667-Z                                                  
         SYMM Y-X,Y,-Z                                                          
         SFAC SN N C H                                                          
         UNIT 6 6 21 54                                                         
         L.S. 3                                                                 
         BOND .5 2                                                              
         LIST 5                                                                 
         FMAP 2 1 22                                                            
         GRID -2 28 18                                                          
         PLAN 5                                                                 
         ILSF -3 1.13 1.06 1.03 1.03 .91 .92 .93 .83 .80 .63 .70                
         FVAR 0.96 0.24 0.38 0.03                                               
         SN  1 21 22 10.5 10.5 0.11 42 0.08 10 0.02 41                          
         C(2)  3 31 32 10.5 10.5 .10                                            
         N   2 10 10.5 .42 10.5 .07                                             
         HKLF -1                                                                
         CONDENSED DATA CARDS                                                   
         END                                                                    
                                                                                
                 THE FOLLOWING EXAMPLE (WHICH IS  SUPPLIED  AS  A  TEST         
         DECK)  ILLUSTRATES  THE  'BLOCKED   FULL-MATRIX'    REFINEMENT         
         TECHNIQUE, TOGETHER WITH A  VARIETY  OF  HYDROGEN  ATOM,  BOND         
         LENGTH AND RIGID GROUP CONSTRAINTS.    IN  FACT  MOST  OF  THE         
         CONSTRAINTS  ARE  NOT  STRICTLY  NECESSARY  IN  THIS   EXAMPLE         
         (EXCEPT PERHAPS FOR THE HYDROGEN ATOMS), AND BLOC  WOULD  ONLY         
         BE  NEEDED  IF  ALL  THE  NON-HYDROGEN  ATOMS  WERE    REFINED         
         ANISOTROPICALLY (AND THEN EVEN ONLY  FOR  A  SMALL  COMPUTER).         
         THE BLOC CARDS CONTROL WHICH ATOMS REFINE IN WHICH CYCLE.   IN         
         CYCLE 1, B1 .. F4 AND C7 .. H13 ARE REFINED; IN  CYCLE  2,  C1         
         .. H14 ETC.  THE FIRST DFIX CARD  APPLIES  A  CONSTRAINT  THAT         
         THE TWO N-H DISTANCES ARE 1.01, WITH  AN  ESTIMATED  ERROR  OF         
         0.01 ANGSTROMS; OTHERWISE THESE HYDROGEN  ATOMS  ARE  FREE  TO         
         MOVE.    BOTH  THESE  HYDROGENS    ARE    INITIALLY    LOCATED         
         GEOMETRICALLY (AFIX 40 AND AFIX 10).  A REGULAR  HEXAGON  WITH         
         C-C = 1.395 IS FITTED TO C1 .. C6, WHICH ARE THEN  REFINED  AS         
         A RIGID GROUP.  H1, H2 AND H4 ARE ATTACHED TO C1,  C2  AND  C4         
         IN CALCULATED POSITIONS AND  REFINED  AS  PART  OF  THE  RIGID         
         GROUP.  NOTE THAT A DUMMY ATOM (WITH  SITE  OCCUPATION  FACTOR         
         FIXED AT ZERO) IS NECESSARY BECAUSE THERE IS NO HYDROGEN  ATOM         
         ATTACHED TO C3.  VARIOUS GEOMETRICAL  CONSTRUCTIONS  ARE  USED         
         TO  PLACE  THE  REMAINING  HYDROGEN  ATOMS:    C11-H14  IS  AN         
         ALDEHYDE CH AND H4-C7-H5 AND H6-C8-H7  ARE  METHYLENE  GROUPS.         
         C9 .. H10 AND C10 ..  H13  ARE  SET  UP  AS  STAGGERED  METHYL         
         GROUPS, THEN REFINED AS RIGID GROUPS.  THIS IS  A  USEFUL  WAY         
         OF DEALING WITH METHYL GROUPS SINCE ALTHOUGH THE C-H AND  H..H         
         DISTANCES ARE KNOWN, THE TORSIONAL CONFORMATION  IS  DIFFICULT         
         TO PREDICT BEFOREHAND.  THE METHYL HYDROGEN ATOMS ARE GIVEN  A         
         COMMON TEMPERATURE FACTOR, WHICH IS  LIKELY  TO  REFINE  TO  A         
         HIGHER VALUE  THAN  THE  COMMON  TEMPERATURE  FACTOR  FOR  THE         
         REMAINING HYDROGEN ATOMS.  EXCEPT FOR  THE  RIGID  GROUPS  AND         
         N-H BONDS, ALL  THE  HYDROGENS  'RIDE'  ON  THE  CORRESPONDING         
         CARBON  ATOMS  IN  THE  REFINEMENT;  THIS   IS    PARTICULARLY         
         EFFICIENT SINCE  IT  DOES  NOT  ADD  ANY  EXTRA  LEAST-SQUARES         
         PARAMETERS.  THE JOB ALSO ILLUSTRATES  THE  USE  OF  THE  OMIT         
         INSTRUCTION  TO  'SUPPRESS'  REFLEXIONS  WITH  F  LESS    THAN         
         4*SIGMA(F), AND THE  USE  OF  OMIT  TO  'SUPPRESS'  FOUR  MORE         
         REFLEXIONS.  THE MOLECULAR FORMULA IS:                                 
                                                                                
              HN(2)-C(7)H2-C(8)H2-N(3)H(+)-C(9)H3                               
               I                  I                                             
               C(6)               C(10)H3                                       
             .   .                                                              
          HC(1)    C(5)-C(11)H=O(3)                                             
           I       I                                                            
          HC(2)    C(4)H                                                        
             .   .                   BF4(-)                                     
               C(3)                                                             
               I                                                                
          O(2)-N(1)-O(1)                                                        
                                                                                
         TITL TEST 5                                                            
         CELL 0.71069 7.958 16.277 11.267 90. 98.412 90.                        
         SYMM 0.5+X, 0.5-Y, 0.5+Z                                               
         SFAC C H B N O F                                                       
         UNIT 44 64 4 12 12 16                                                  
         OMIT -2 4 2                                                            
         OMIT -3 4 3                                                            
         OMIT 0 4 4                                                             
         OMIT 9 5 9                                                             
         MERG -2                                                                
         OMIT 4                                                                 
         L.S. 5                                                                 
         LIST 1 -1                                                              
         BOND .5 2.0                                                            
         WGHT -0.01                                                             
         FVAR 1.08 0.050 1.37 0.075                                             
         BLOC 1 3                                                               
         B1  3 .2566 .3649 .6487 11 .05                                         
         F1  6 .1552 .3188 .7129 11 .08                                         
         F2  6 .3436 .4216 .7253 11 .08                                         
         F3  6 .3677 .3134 .6035 11 .09                                         
         F4  6 .1582 .4063 .5580 11 .08                                         
         BLOC 2 3                                                               
         AFIX 66                                                                
         C1  1 .0686 .4963 .2390                                                
         C2  1 .1452 .5659 .2145                                                
         C3  1 .2404 .5697 .1167                                                
         C4  1 .2570 .5033 .0491                                                
         C5  1 .1693 .4307 .0715                                                
         C6  1 .0752 .4220 .1670                                                
         AFIX 85                                                                
         H1  2 0 0 0 11 21                                                      
         H2  2 0 0 0 11 21                                                      
         DUMMY 2 0 0 0 10 21                                                    
         H3  2 0 0 0 11 21                                                      
         AFIX  0                                                                
         BLOC 2 4                                                               
         O1  5 .3032 .7048 .1616 11 .06                                         
         O2  5 .4202 .6469 .0234 11 .06                                         
         O3  5 .1237 .2948 -.0072 11 .05                                        
         N1  4 .3290 .6467 .0961 11 .04                                         
         N2  4 .0048 .3525 .1916 11 .03                                         
         AFIX 40                                                                
         H15  2 0 0 0 11 21                                                     
         AFIX  0                                                                
         C11  1 .1892 .3648 -.0127 11 .04                                       
         AFIX 43                                                                
         H14  2 0 0 0 11 21                                                     
         AFIX  0                                                                
         BLOC 1 4                                                               
         C7  1 -.0853 .3400 .2925 11 .03                                        
         AFIX 23                                                                
         H4  2 0 0 0 11 21                                                      
         H5  2 0 0 0 11 21                                                      
         AFIX  0                                                                
         C8  1 -.2655 .3665 .2632 11 .03                                        
         AFIX 23                                                                
         H6  2 0 0 0 11 21                                                      
         H7  2 0 0 0 11 21                                                      
         AFIX  0                                                                
         N3  4 -.3666 .3495 .3656 11 .03                                        
         AFIX 10                                                                
         H16  2 0 0 0 11 21                                                     
         AFIX  6                                                                
         C9  1 -.3073 .3932 .4765 11 .05                                        
         AFIX 35                                                                
         H8  2 0 0 0 11 41                                                      
         H9  2 0 0 0 11 41                                                      
         H10 2 0 0 0 11 41                                                      
         AFIX  6                                                                
         C10  1 -.5503 .3702 .3258 11 .03                                       
         AFIX 35                                                                
         H11 2 0 0 0 11 41                                                      
         H12 2 0 0 0 11 41                                                      
         H13 2 0 0 0 11 41                                                      
         DFIX 1.01 0.01  20 21  30 31                                           
         DFIX 31 0.001, 1 2, 1 3, 1 4, 1 5                                      
         DFIX 31.6330 0.001, 2 3, 2 4, 2 5, 3 4, 3 5, 4 5                       
         HKLF -1 1  1 0 0  0 1 0  0 0 1  1       0                              
         CONDENSED DATA CARDS                                                   
         END                                                                    
